Option for close buttons on tabs
Status: Closed Start date: January 25, 2012

Priority: Minor Due date:  

Assignee: Thomas Lange % Done: 0%

Category: plugins/gtkui Estimated time: 0.00 hour

Target version: 3.3   

Affects version: 3.2   

Description

It would be nice to allow users to choose whether tabs in the playlist view contain close buttons. Close buttons are useful for users

that may not know that middle-clicking will close tabs, but for users with many playlists, they take up precious space that could be

showing more playlists. It may also be helpful to allow more coherence with other programs on users' systems, given that many

programs that make much use of tabs (firefox, opera, other browsers, as well as many file managers) allow the visibility of the close

button to be determined by user preference; if a user has configured various other programs one way, having a single nonconforming

program can be annoying and visually awkward.

History

#1 - January 25, 2012 05:30 - John Lindgren

- Tracker changed from Bug to Feature

#2 - July 14, 2012 16:04 - Thomas Lange

- Status changed from New to Resolved

- Assignee set to Thomas Lange

- Target version set to 3.3

I've added this feature for version 3.3.

https://github.com/audacious-media-player/audacious-plugins/commit/b0ed928f7d1b2e0fef0b136ffc2eedbf5f125412

Marking as "Resolved".

#3 - July 14, 2012 16:05 - Thomas Lange

- Status changed from Resolved to Closed
